LifespanPolicyValue (Java SE 9 & JDK 9 )
Keywords: org.omg.PortableServer.LifespanPolicyValue class

Module java.corba
Package org.omg.PortableServer

## Class LifespanPolicyValue

- java.lang.Object
- - org.omg.PortableServer.LifespanPolicyValue

- All Implemented Interfaces:
    `Serializable`, `IDLEntity`

      public class LifespanPolicyValue
      extends Object
      implements IDLEntity

  The LifespanPolicyValue can have the following values. TRANSIENT - The objects implemented in the POA cannot outlive the POA instance in which they are first created. PERSISTENT - The objects implemented in the POA can outlive the process in which they are first created.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `_PERSISTENT` |
    `static int` | `_TRANSIENT` |
    `static LifespanPolicyValue` | `PERSISTENT` |
    `static LifespanPolicyValue` | `TRANSIENT` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `LifespanPolicyValue​(int value)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static LifespanPolicyValue` | `from_int​(int value)` |
    `int` | `value​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _TRANSIENT

          public static final int _TRANSIENT

      See Also:
        Constant Field Values

    - #### TRANSIENT

          public static final LifespanPolicyValue TRANSIENT

    - #### _PERSISTENT

          public static final int _PERSISTENT

      See Also:
        Constant Field Values

    - #### PERSISTENT

          public static final LifespanPolicyValue PERSISTENT

  - ### Constructor Detail

    - #### LifespanPolicyValue

          protected LifespanPolicyValue​(int value)

  - ### Method Detail

    - #### value

          public int value​()

    - #### from_int

          public static LifespanPolicyValue from_int​(int value)